# List settlements Retrieve a list of all your settlements. The results are paginated. > 🔑 Access with > > [Organization access token with **settlements.read**](/reference/authentication) > > [OAuth access with **settlements.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Business operations", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com/v2" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/settlements": { "get": { "summary": "List settlements", "x-speakeasy-name-override": "list", "tags": [ "Settlements API" ], "operationId": "list-settlements", "security": [ { "organizationAccessToken": [ "settlements.read" ] }, { "oAuth": [ "settlements.read" ] } ], "description": "Retrieve a list of all your settlements.\n\nThe results are paginated.\n\n> 🔑 Access with\n>\n> [Organization access token with **settlements.read**](/reference/authentication)\n>\n> [OAuth access with **settlements.read**](/reference/authentication)", "parameters": [ { "schema": { "type": "string", "example": "stl_jDk30akdN" }, "name": "from", "description": "Provide an ID to start the result set from the item with the given ID and onwards. This allows you to paginate the result set.", "in": "query" }, { "name": "limit", "description": "The maximum number of items to return. Defaults to 50 items.", "in": "query", "schema": { "type": [ "integer", "null" ], "minimum": 1, "maximum": 250, "default": 50, "example": 50 } }, { "name": "balanceId", "in": "query", "description": "Provide the token of the balance to filter the settlements by. This is the balance token that the settlement was settled to.", "schema": { "type": [ "string", "null" ], "pattern": "^bal_.+$", "example": "bal_gVMhHKqSSRYJyPsuoPNFH" } }, { "name": "year", "in": "query", "description": "Provide the year to query the settlements. Must be used combined with `month` parameter", "schema": { "type": [ "string", "null" ], "example": "2025" } }, { "name": "month", "in": "query", "description": "Provide the month to query the settlements. Must be used combined with `year` parameter", "schema": { "type": [ "string", "null" ], "example": "1" } }, { "name": "currencies", "in": "query", "description": "Provides the currencies to retrieve the settlements. It accepts multiple currencies in a comma-separated format.\n\nPossible values: `EUR` `GBP` `CHF` `DKK` `NOK` `PLN` `SEK` `USD` `CZK` `HUF` `AUD` `CAD`", "schema": { "type": [ "string", "null" ], "examples": [ "EUR", "EUR,GBP" ], "x-enumDescriptions": { "EUR": "Euro", "GBP": "British Pound", "CHF": "Swiss Franc", "DKK": "Danish Krone", "NOK": "Norwegian Krone", "PLN": "Polish złoty", "SEK": "Swedish Krona", "USD": "United States Dollar", "CZK": "Czech Koruna", "HUF": "Hungarian Forint", "AUD": "Australian Dollar", "CAD": "Canadian Dollar" }, "example": "EUR" } } ], "responses": { "200": { "description": "A list of settlement objects. For a complete reference of the settlement object, refer to the [Get settlement endpoint](get-settlement) documentation.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "count", "_embedded", "_links" ], "properties": { "count": { "type": "integer", "description": "The number of items in this result set. If more items are available, a `_links.next` URL will be present in the result as well.\n\nThe maximum number of items per result set is controlled by the `limit` property provided in the request. The default limit is 50 items.", "minimum": 1, "maximum": 250, "example": 5 }, "_embedded": { "type": "object", "required": [ "settlements" ], "properties": { "settlements": { "description": "An array of settlement objects. For a complete reference of the settlement object, refer to the [Get settlement endpoint](get-settlement) documentation.", "type": "array", "items": { "type": "object", "required": [ "resource", "id", "status", "amount", "balanceId", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains a settlement object. Will always contain the string `settlement` for this endpoint.", "readOnly": true, "default": "settlement", "example": "settlement" }, "id": { "allOf": [ { "type": "string", "pattern": "^stl_.+$", "example": "stl_5B8cwPMGnU" } ], "description": "The identifier uniquely referring to this settlement.", "readOnly": true }, "createdAt": { "type": "string", "description": "The entity's date and time of creation, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "readOnly": true, "example": "2024-03-20T09:13:37+00:00" }, "reference": { "type": [ "string", "null" ], "description": "The settlement's bank reference, as found in your Mollie account and on your bank statement.", "readOnly": true, "example": "07049691.2406.01" }, "settledAt": { "type": [ "string", "null" ], "description": "The date on which the settlement was settled, in ISO 8601 format.\n\nFor an [open settlement](get-open-settlement) or for the [next settlement](get-next-settlement), no settlement date is available.", "readOnly": true, "example": "2025-03-31T12:54:39+00:00" }, "status": { "allOf": [ { "type": "string", "description": "The status of the settlement.\n\nPossible values: `open` `pending` `paidout` `failed`", "x-enumDescriptions": { "open": "The settlement has not been closed yet", "pending": "The settlement has been closed and is being processed", "paidout": "The settlement has been paid out", "failed": "The settlement could not be paid out" }, "example": "paidout" } ], "readOnly": true }, "amount": { "allOf": [ { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } ], "description": "The total amount of the settlement.", "readOnly": true }, "balanceId": { "allOf": [ { "type": "string", "pattern": "^bal_.+$", "example": "bal_gVMhHKqSSRYJyPsuoPNFH" } ], "description": "The balance token that the settlement was settled to.", "readOnly": true }, "invoiceId": { "allOf": [ { "type": "string", "pattern": "^inv_.+$", "example": "inv_aHbjjdrUdm" } ], "type": [ "string", "null" ], "description": "The ID of the oldest invoice created for all the periods, if the invoice has been created yet.", "readOnly": true }, "periods": { "type": "object", "description": "For bookkeeping purposes, the settlement includes an overview of transactions included in the settlement. These transactions are grouped into 'period' objects — one for each calendar month.\n\nFor example, if a settlement includes funds from 15 April until 4 May, it will include two period objects. One for all transactions processed between 15 April and 30 April, and one for all transactions between 1 May and 4 May.\n\nPeriod objects are grouped by year, and then by month. So in the above example, the full `periods` collection will look as follows: `{\"2024\": {\"04\": {...}, \"05\": {...}}}`. The year and month in this documentation are referred as `` and ``.\n\nThe example response should give a good idea of what this looks like in practise.", "properties": { "": { "type": "object", "properties": { "": { "type": "object", "properties": { "costs": { "type": "array", "description": "An array of cost objects, describing the fees withheld for each payment method during this period.", "items": { "type": "object", "required": [ "description", "method", "count", "rate", "amountNet", "amountVat", "amountGross" ], "properties": { "description": { "type": "string", "description": "A description of the cost subtotal", "example": "Credit card - Visa debit consumer domestic" }, "method": { "type": [ "string", "null" ], "description": "The payment method, if applicable\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "count": { "type": "integer", "description": "The number of fees", "example": 10 }, "rate": { "type": "object", "description": "The service rates, further divided into `fixed` and `percentage` costs.", "properties": { "fixed": { "type": "object", "description": "In v2 endpoints, monetary amounts are represented as objects with a `currency` and `value` field.", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "percentage": { "type": "string", "example": "2.5" } } }, "amountNet": { "description": "The net total cost, i.e. excluding VAT", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "amountVat": { "description": "The applicable VAT", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "amountGross": { "description": "The gross total cost, i.e. including VAT", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } } } }, "revenue": { "type": "array", "description": "An array of revenue objects containing the total revenue for each payment method during this period.", "items": { "type": "object", "required": [ "description", "method", "count", "amountNet", "amountVat", "amountGross" ], "properties": { "description": { "type": "string", "description": "A description of the revenue subtotal", "example": "Credit card" }, "method": { "type": [ "string", "null" ], "description": "The payment method, if applicable\n\nPossible values: `alma` `bacs` `applepay` `bancomatpay` `bancontact` `banktransfer` `belfius` `billie` `bizum` `bitcoin` `blik` `creditcard` `directdebit` `eps` `giftcard` `giropay` `googlepay` `ideal` `in3` `inghomepay` `kbc` `klarnapaylater` `klarnapaynow` `klarnasliceit` `klarna` `mbway` `mobilepay` `multibanco` `mybank` `paybybank` `paypal` `paysafecard` `przelewy24` `riverty` `satispay` `podiumcadeaukaart` `pointofsale` `sofort` `swish` `trustly` `twint` `vipps` `voucher`", "x-deprecated-enum": [ "payconiq" ], "x-speakeasy-enum-descriptions": { "payconiq": "No longer available" }, "example": "creditcard" }, "count": { "type": "integer", "description": "The number of payments", "example": 10 }, "amountNet": { "description": "The net total of received funds, i.e. excluding VAT", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "amountVat": { "description": "The applicable VAT", "type": [ "object", "null" ], "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } }, "amountGross": { "description": "The gross total of received funds, i.e. including VAT", "type": "object", "required": [ "currency", "value" ], "properties": { "currency": { "type": "string", "description": "A three-character ISO 4217 currency code.", "example": "EUR" }, "value": { "type": "string", "description": "A string containing an exact monetary amount in the given currency.", "example": "10.00" } } } } } }, "invoiceId": { "type": [ "string", "null" ], "description": "The ID of the invoice created for this period, if the invoice has been created already.", "pattern": "^inv_.+$", "example": "inv_aHbjjdrUdm" }, "invoiceReference": { "type": [ "string", "null" ], "description": "The invoice reference, if the invoice has been created already.", "example": "MOLR2021.0001399669" } } } } } }, "readOnly": true }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "required": [ "self" ], "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "payments": { "description": "The API resource URL of the [payments](list-payments) included in this settlement.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "captures": { "description": "The API resource URL of the [captures](list-captures) included in this settlement.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "refunds": { "description": "The API resource URL of the [refunds](list-refunds) deducted from this settlement.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "chargebacks": { "description": "The API resource URL of the [chargebacks](list-chargebacks) deducted from this settlement.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "invoice": { "description": "The API resource URL of the [invoice](list-invoices).", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } } } } }, "_links": { "type": "object", "description": "Links to help navigate through the lists of items. Every URL object will contain an `href` and a `type` field.", "required": [ "self", "previous", "next", "documentation" ], "properties": { "self": { "description": "The URL to the current set of items.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "previous": { "description": "The previous set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "next": { "description": "The next set of items, if available.", "type": [ "object", "null" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } } } } }, "examples": { "list-settlements-200-1": { "summary": "A list of settlement objects", "value": { "count": 1, "_embedded": { "settlements": [ { "resource": "settlement", "id": "stl_jDk30akdN", "reference": "1234567.2404.03", "status": "paidout", "createdAt": "2024-04-31T12:50:14+00:00", "amount": { "currency": "EUR", "value": "39.75" }, "balanceId": "bal_3kUf4yU2nT", "periods": {}, "settledAt": "2024-04-06T09:41:44+00:00", "invoiceId": "inv_FrvewDA3Pr", "_links": { "self": { "href": "...", "type": "application/hal+json" }, "payments": { "href": "https://api.mollie.com/v2/settlements/stl_jDk30akdN/payments", "type": "application/hal+json" }, "refunds": { "href": "https://api.mollie.com/v2/settlements/stl_jDk30akdN/refunds", "type": "application/hal+json" }, "chargebacks": { "href": "https://api.mollie.com/v2/settlements/stl_jDk30akdN/chargebacks", "type": "application/hal+json" }, "captures": { "href": "https://api.mollie.com/v2/settlements/stl_jDk30akdN/captures", "type": "application/hal+json" }, "invoice": { "href": "https://api.mollie.com/v2/invoices/inv_UQgMnkkTFz", "type": "application/hal+json" } } } ] }, "_links": { "self": { "href": "...", "type": "application/hal+json" }, "previous": null, "next": { "href": "https://api.mollie.com/v2/settlements?from=cst_stTC2WHAuS&limit=5", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } } } } } }, "400": { "description": "The request contains issues. For example, if the specified `from` value is not a valid ID.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 400, "title": "Bad Request", "detail": "Invalid cursor value", "field": "from", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } }, "404": { "description": "No entity with this ID exists.", "content": { "application/hal+json": { "schema": { "type": "object", "description": "An error response object.", "required": [ "status", "title", "detail", "_links" ], "properties": { "status": { "type": "integer", "description": "The status code of the error message. This is always the same code as the status code of the HTTP message itself.", "minimum": 400, "maximum": 599, "example": 404 }, "title": { "type": "string", "description": "The HTTP reason phrase of the error. For example, for a `404` error, the `title` will be `Not Found`.", "example": "Not Found" }, "detail": { "type": "string", "description": "A detailed human-readable description of the error that occurred.", "example": "The resource does not exist" }, "field": { "type": "string", "description": "If the error was caused by a value provided by you in a specific field, the `field` property will contain the name of the field that caused the issue.", "example": "description" }, "_links": { "type": "object", "required": [ "documentation" ], "properties": { "documentation": { "type": "object", "description": "The URL to the generic Mollie API error handling guide.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "example": "https://docs.mollie.com/errors" }, "type": { "type": "string", "example": "text/html" } } } } } } }, "example": { "status": 404, "title": "Not Found", "detail": "No entity exists with token 'uct_abcDEFghij123456789'", "_links": { "documentation": { "href": "...", "type": "text/html" } } } } } } }, "x-speakeasy-pagination": { "type": "url", "outputs": { "nextUrl": "$._links.next.href" } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/settlements \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken('access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ');\n\n$request = new GetPaginatedSettlementsRequest();\n\n$settlements = $mollie->send($request);", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "const { createMollieClient } = require('@mollie/api-client');\nconst mollieClient = createMollieClient({ accessToken: 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ' });\n\nconst settlements = await mollieClient.settlements.iterate();", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\nsettlements = mollie_client.settlements.list()", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\nsettlements = Mollie::settlement.all", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```